package com.ghy.payment.mapper;

import com.ghy.payment.domain.OrderTimeoutRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 订单扣款记录
 */
public interface OrderFineRecordMapper {

    OrderTimeoutRecord selectByDetailIdAndStatus(@Param("orderDetailId")Long orderDetailId, @Param("orderStatus")Integer orderStatus);

    List<OrderTimeoutRecord> selectList(OrderTimeoutRecord orderTimeoutRecord);

    int insert(OrderTimeoutRecord orderTimeoutRecord);

    int update(OrderTimeoutRecord orderTimeoutRecord);
}
